org.eclipse.lyo.core.query

## Class OslcWhereParser

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Parser
    - - org.eclipse.lyo.core.query.OslcWhereParser

-     public class OslcWhereParser
      extends org.antlr.runtime.Parser

  Copyright (c) 2011, 2012 IBM Corporation. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 which accompanies this distribution. The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse Distribution License is available at http://www.eclipse.org/org/documents/edl-v10.php. Contributors: Jim Conallen - initial API and implementation Steve Pitchke - ammendments and cleanup.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OslcWhereParser.boolean_op_return`
    `static class` | `OslcWhereParser.boolean_val_return`
    `static class` | `OslcWhereParser.comparison_op_return`
    `static class` | `OslcWhereParser.compound_term_return`
    `static class` | `OslcWhereParser.decimal_return`
    `static class` | `OslcWhereParser.identifier_return`
    `static class` | `OslcWhereParser.identifier_wc_return`
    `static class` | `OslcWhereParser.in_op_return`
    `static class` | `OslcWhereParser.in_term_return`
    `static class` | `OslcWhereParser.in_val_return`
    `static class` | `OslcWhereParser.iriRef_return`
    `static class` | `OslcWhereParser.langed_string_return`
    `static class` | `OslcWhereParser.literal_value_return`
    `static class` | `OslcWhereParser.nested_property_return`
    `static class` | `OslcWhereParser.oslc_where_return`
    `static class` | `OslcWhereParser.prefixedName_return`
    `static class` | `OslcWhereParser.properties_return`
    `static class` | `OslcWhereParser.property_return`
    `static class` | `OslcWhereParser.scoped_term_return`
    `static class` | `OslcWhereParser.simple_term_return`
    `static class` | `OslcWhereParser.space_return`
    `static class` | `OslcWhereParser.string_esc_return`
    `static class` | `OslcWhereParser.term_return`
    `static class` | `OslcWhereParser.term_simple_return`
    `static class` | `OslcWhereParser.typed_string_return`
    `static class` | `OslcWhereParser.value_return`
    `static class` | `OslcWhereParser.wildcard_return`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.antlr.runtime.tree.TreeAdaptor` | `adaptor`
    `static int` | `ALPHA_CHARS`
    `static int` | `AND`
    `static int` | `ASTERISK`
    `static int` | `BOOLEAN`
    `static int` | `CLOSE_BRACE`
    `static int` | `CLOSE_CURLY_BRACE`
    `static int` | `CLOSE_SQUARE_BRACE`
    `static int` | `COMMA`
    `static int` | `COMPOUND_TERM`
    `static int` | `DECIMAL`
    `static int` | `DIGIT`
    `static int` | `DOT`
    `static int` | `ECHAR`
    `static int` | `EOF`
    `static int` | `EOL`
    `static int` | `EQUAL`
    `static org.antlr.runtime.BitSet` | `FOLLOW_50_in_space187`
    `static org.antlr.runtime.BitSet` | `FOLLOW_51_in_boolean_op200`
    `static org.antlr.runtime.BitSet` | `FOLLOW_52_in_in_op390`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ASTERISK_in_wildcard344`
    `static org.antlr.runtime.BitSet` | `FOLLOW_BOOLEAN_in_boolean_val555`
    `static org.antlr.runtime.BitSet` | `FOLLOW_boolean_op_in_compound_term130`
    `static org.antlr.runtime.BitSet` | `FOLLOW_boolean_val_in_literal_value463`
    `static org.antlr.runtime.BitSet` | `FOLLOW_CLOSE_CURLY_BRACE_in_nested_property650`
    `static org.antlr.runtime.BitSet` | `FOLLOW_CLOSE_CURLY_BRACE_in_scoped_term291`
    `static org.antlr.runtime.BitSet` | `FOLLOW_CLOSE_SQUARE_BRACE_in_in_val417`
    `static org.antlr.runtime.BitSet` | `FOLLOW_COMMA_in_in_val411`
    `static org.antlr.runtime.BitSet` | `FOLLOW_COMMA_in_nested_property642`
    `static org.antlr.runtime.BitSet` | `FOLLOW_COMMA_in_properties598`
    `static org.antlr.runtime.BitSet` | `FOLLOW_comparison_op_in_term_simple226`
    `static org.antlr.runtime.BitSet` | `FOLLOW_compound_term_in_oslc_where115`
    `static org.antlr.runtime.BitSet` | `FOLLOW_compound_term_in_scoped_term289`
    `static org.antlr.runtime.BitSet` | `FOLLOW_DECIMAL_in_decimal570`
    `static org.antlr.runtime.BitSet` | `FOLLOW_decimal_in_literal_value467`
    `static org.antlr.runtime.BitSet` | `FOLLOW_identifier_in_identifier_wc314`
    `static org.antlr.runtime.BitSet` | `FOLLOW_identifier_wc_in_in_term253`
    `static org.antlr.runtime.BitSet` | `FOLLOW_identifier_wc_in_scoped_term285`
    `static org.antlr.runtime.BitSet` | `FOLLOW_identifier_wc_in_term_simple224`
    `static org.antlr.runtime.BitSet` | `FOLLOW_in_op_in_in_term255`
    `static org.antlr.runtime.BitSet` | `FOLLOW_in_term_in_term214`
    `static org.antlr.runtime.BitSet` | `FOLLOW_in_val_in_in_term260`
    `static org.antlr.runtime.BitSet` | `FOLLOW_IRI_REF_in_iriRef665`
    `static org.antlr.runtime.BitSet` | `FOLLOW_iriRef_in_value450`
    `static org.antlr.runtime.BitSet` | `FOLLOW_langed_string_in_literal_value480`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LANGTAG_in_langed_string528`
    `static org.antlr.runtime.BitSet` | `FOLLOW_literal_value_in_value454`
    `static org.antlr.runtime.BitSet` | `FOLLOW_nested_property_in_property621`
    `static org.antlr.runtime.BitSet` | `FOLLOW_OPEN_CURLY_BRACE_in_nested_property637`
    `static org.antlr.runtime.BitSet` | `FOLLOW_OPEN_CURLY_BRACE_in_scoped_term287`
    `static org.antlr.runtime.BitSet` | `FOLLOW_OPEN_SQUARE_BRACE_in_in_val406`
    `static org.antlr.runtime.BitSet` | `FOLLOW_prefixedName_in_identifier330`
    `static org.antlr.runtime.BitSet` | `FOLLOW_prefixedName_in_iriRef673`
    `static org.antlr.runtime.BitSet` | `FOLLOW_prefixedName_in_property617`
    `static org.antlr.runtime.BitSet` | `FOLLOW_prefixedName_in_typed_string498`
    `static org.antlr.runtime.BitSet` | `FOLLOW_property_in_nested_property639`
    `static org.antlr.runtime.BitSet` | `FOLLOW_property_in_nested_property644`
    `static org.antlr.runtime.BitSet` | `FOLLOW_property_in_properties595`
    `static org.antlr.runtime.BitSet` | `FOLLOW_property_in_properties600`
    `static org.antlr.runtime.BitSet` | `FOLLOW_REFERENCE_in_typed_string496`
    `static org.antlr.runtime.BitSet` | `FOLLOW_scoped_term_in_simple_term167`
    `static org.antlr.runtime.BitSet` | `FOLLOW_simple_term_in_compound_term126`
    `static org.antlr.runtime.BitSet` | `FOLLOW_simple_term_in_compound_term132`
    `static org.antlr.runtime.BitSet` | `FOLLOW_space_in_in_term257`
    `static org.antlr.runtime.BitSet` | `FOLLOW_string_esc_in_langed_string526`
    `static org.antlr.runtime.BitSet` | `FOLLOW_string_esc_in_literal_value471`
    `static org.antlr.runtime.BitSet` | `FOLLOW_string_esc_in_typed_string492`
    `static org.antlr.runtime.BitSet` | `FOLLOW_STRING_LITERAL_in_string_esc582`
    `static org.antlr.runtime.BitSet` | `FOLLOW_term_in_simple_term163`
    `static org.antlr.runtime.BitSet` | `FOLLOW_term_simple_in_term210`
    `static org.antlr.runtime.BitSet` | `FOLLOW_typed_string_in_literal_value475`
    `static org.antlr.runtime.BitSet` | `FOLLOW_value_in_in_val408`
    `static org.antlr.runtime.BitSet` | `FOLLOW_value_in_in_val413`
    `static org.antlr.runtime.BitSet` | `FOLLOW_value_in_term_simple228`
    `static org.antlr.runtime.BitSet` | `FOLLOW_wildcard_in_identifier_wc318`
    `static int` | `GREATER`
    `static int` | `GREATER_EQUAL`
    `static int` | `IN_TERM`
    `static int` | `IN_VALUES`
    `static int` | `IRI_REF`
    `static int` | `LANGED_VALUE`
    `static int` | `LANGTAG`
    `static int` | `LESS`
    `static int` | `LESS_EQUAL`
    `static int` | `MINUS`
    `static int` | `NOT`
    `static int` | `NOT_EQUAL`
    `static int` | `OPEN_BRACE`
    `static int` | `OPEN_CURLY_BRACE`
    `static int` | `OPEN_SQUARE_BRACE`
    `static int` | `OR`
    `static int` | `PLUS`
    `static int` | `PN_CHARS`
    `static int` | `PN_CHARS_BASE`
    `static int` | `PN_CHARS_U`
    `static int` | `PN_LOCAL`
    `static int` | `PN_PREFIX`
    `static int` | `PNAME_LN`
    `static int` | `PNAME_NS`
    `static int` | `REFERENCE`
    `static int` | `SEMICOLON`
    `static int` | `SIMPLE_TERM`
    `static int` | `STRING_LITERAL`
    `static int` | `T__50`
    `static int` | `T__51`
    `static int` | `T__52`
    `static int` | `TERMS`
    `static String[]` | `tokenNames`
    `static int` | `TYPED_VALUE`
    `static int` | `WS`

    - ### Fields inherited from class org.antlr.runtime.Parser

      `input`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OslcWhereParser(String where)`
    `OslcWhereParser(org.antlr.runtime.TokenStream input)`
    `OslcWhereParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OslcWhereParser.boolean_op_return` | `boolean_op()`
    `OslcWhereParser.boolean_val_return` | `boolean_val()`
    `OslcWhereParser.comparison_op_return` | `comparison_op()`
    `OslcWhereParser.compound_term_return` | `compound_term()`
    `OslcWhereParser.decimal_return` | `decimal()`
    `void` | `displayRecognitionError(String[] tokenNames, org.antlr.runtime.RecognitionException e)`
    `org.antlr.runtime.Parser[]` | `getDelegates()`
    `List<String>` | `getErrors()`
    `String` | `getGrammarFileName()`
    `String[]` | `getTokenNames()`
    `org.antlr.runtime.tree.TreeAdaptor` | `getTreeAdaptor()`
    `OslcWhereParser.identifier_wc_return` | `identifier_wc()`
    `OslcWhereParser.identifier_return` | `identifier()`
    `OslcWhereParser.in_op_return` | `in_op()`
    `OslcWhereParser.in_term_return` | `in_term()`
    `OslcWhereParser.in_val_return` | `in_val()`
    `OslcWhereParser.iriRef_return` | `iriRef()`
    `OslcWhereParser.langed_string_return` | `langed_string()`
    `OslcWhereParser.literal_value_return` | `literal_value()`
    `OslcWhereParser.nested_property_return` | `nested_property()`
    `OslcWhereParser.oslc_where_return` | `oslc_where()`
    `OslcWhereParser.prefixedName_return` | `prefixedName()`
    `OslcWhereParser.properties_return` | `properties()`
    `OslcWhereParser.property_return` | `property()`
    `OslcWhereParser.scoped_term_return` | `scoped_term()`
    `void` | `setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)`
    `OslcWhereParser.simple_term_return` | `simple_term()`
    `OslcWhereParser.space_return` | `space()`
    `OslcWhereParser.string_esc_return` | `string_esc()`
    `OslcWhereParser.term_simple_return` | `term_simple()`
    `OslcWhereParser.term_return` | `term()`
    `OslcWhereParser.typed_string_return` | `typed_string()`
    `OslcWhereParser.value_return` | `value()`
    `OslcWhereParser.wildcard_return` | `wildcard()`

    - ### Methods inherited from class org.antlr.runtime.Parser

      `getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, emitErrorMessage, endResync, failed, getBacktrackingLevel, getErrorHeader, getErrorMessage, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tokenNames

          public static final String[] tokenNames

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### T__50

          public static final int T__50

      See Also:
        Constant Field Values

    - #### T__51

          public static final int T__51

      See Also:
        Constant Field Values

    - #### T__52

          public static final int T__52

      See Also:
        Constant Field Values

    - #### ALPHA_CHARS

          public static final int ALPHA_CHARS

      See Also:
        Constant Field Values

    - #### AND

          public static final int AND

      See Also:
        Constant Field Values

    - #### ASTERISK

          public static final int ASTERISK

      See Also:
        Constant Field Values

    - #### BOOLEAN

          public static final int BOOLEAN

      See Also:
        Constant Field Values

    - #### CLOSE_BRACE

          public static final int CLOSE_BRACE

      See Also:
        Constant Field Values

    - #### CLOSE_CURLY_BRACE

          public static final int CLOSE_CURLY_BRACE

      See Also:
        Constant Field Values

    - #### CLOSE_SQUARE_BRACE

          public static final int CLOSE_SQUARE_BRACE

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### COMPOUND_TERM

          public static final int COMPOUND_TERM

      See Also:
        Constant Field Values

    - #### DECIMAL

          public static final int DECIMAL

      See Also:
        Constant Field Values

    - #### DIGIT

          public static final int DIGIT

      See Also:
        Constant Field Values

    - #### DOT

          public static final int DOT

      See Also:
        Constant Field Values

    - #### ECHAR

          public static final int ECHAR

      See Also:
        Constant Field Values

    - #### EOL

          public static final int EOL

      See Also:
        Constant Field Values

    - #### EQUAL

          public static final int EQUAL

      See Also:
        Constant Field Values

    - #### GREATER

          public static final int GREATER

      See Also:
        Constant Field Values

    - #### GREATER_EQUAL

          public static final int GREATER_EQUAL

      See Also:
        Constant Field Values

    - #### IN_TERM

          public static final int IN_TERM

      See Also:
        Constant Field Values

    - #### IN_VALUES

          public static final int IN_VALUES

      See Also:
        Constant Field Values

    - #### IRI_REF

          public static final int IRI_REF

      See Also:
        Constant Field Values

    - #### LANGED_VALUE

          public static final int LANGED_VALUE

      See Also:
        Constant Field Values

    - #### LANGTAG

          public static final int LANGTAG

      See Also:
        Constant Field Values

    - #### LESS

          public static final int LESS

      See Also:
        Constant Field Values

    - #### LESS_EQUAL

          public static final int LESS_EQUAL

      See Also:
        Constant Field Values

    - #### MINUS

          public static final int MINUS

      See Also:
        Constant Field Values

    - #### NOT

          public static final int NOT

      See Also:
        Constant Field Values

    - #### NOT_EQUAL

          public static final int NOT_EQUAL

      See Also:
        Constant Field Values

    - #### OPEN_BRACE

          public static final int OPEN_BRACE

      See Also:
        Constant Field Values

    - #### OPEN_CURLY_BRACE

          public static final int OPEN_CURLY_BRACE

      See Also:
        Constant Field Values

    - #### OPEN_SQUARE_BRACE

          public static final int OPEN_SQUARE_BRACE

      See Also:
        Constant Field Values

    - #### OR

          public static final int OR

      See Also:
        Constant Field Values

    - #### PLUS

          public static final int PLUS

      See Also:
        Constant Field Values

    - #### PNAME_LN

          public static final int PNAME_LN

      See Also:
        Constant Field Values

    - #### PNAME_NS

          public static final int PNAME_NS

      See Also:
        Constant Field Values

    - #### PN_CHARS

          public static final int PN_CHARS

      See Also:
        Constant Field Values

    - #### PN_CHARS_BASE

          public static final int PN_CHARS_BASE

      See Also:
        Constant Field Values

    - #### PN_CHARS_U

          public static final int PN_CHARS_U

      See Also:
        Constant Field Values

    - #### PN_LOCAL

          public static final int PN_LOCAL

      See Also:
        Constant Field Values

    - #### PN_PREFIX

          public static final int PN_PREFIX

      See Also:
        Constant Field Values

    - #### REFERENCE

          public static final int REFERENCE

      See Also:
        Constant Field Values

    - #### SEMICOLON

          public static final int SEMICOLON

      See Also:
        Constant Field Values

    - #### SIMPLE_TERM

          public static final int SIMPLE_TERM

      See Also:
        Constant Field Values

    - #### STRING_LITERAL

          public static final int STRING_LITERAL

      See Also:
        Constant Field Values

    - #### TERMS

          public static final int TERMS

      See Also:
        Constant Field Values

    - #### TYPED_VALUE

          public static final int TYPED_VALUE

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

    - #### adaptor

          protected org.antlr.runtime.tree.TreeAdaptor adaptor

    - #### FOLLOW_compound_term_in_oslc_where115

          public static final org.antlr.runtime.BitSet FOLLOW_compound_term_in_oslc_where115

    - #### FOLLOW_simple_term_in_compound_term126

          public static final org.antlr.runtime.BitSet FOLLOW_simple_term_in_compound_term126

    - #### FOLLOW_boolean_op_in_compound_term130

          public static final org.antlr.runtime.BitSet FOLLOW_boolean_op_in_compound_term130

    - #### FOLLOW_simple_term_in_compound_term132

          public static final org.antlr.runtime.BitSet FOLLOW_simple_term_in_compound_term132

    - #### FOLLOW_term_in_simple_term163

          public static final org.antlr.runtime.BitSet FOLLOW_term_in_simple_term163

    - #### FOLLOW_scoped_term_in_simple_term167

          public static final org.antlr.runtime.BitSet FOLLOW_scoped_term_in_simple_term167

    - #### FOLLOW_50_in_space187

          public static final org.antlr.runtime.BitSet FOLLOW_50_in_space187

    - #### FOLLOW_51_in_boolean_op200

          public static final org.antlr.runtime.BitSet FOLLOW_51_in_boolean_op200

    - #### FOLLOW_term_simple_in_term210

          public static final org.antlr.runtime.BitSet FOLLOW_term_simple_in_term210

    - #### FOLLOW_in_term_in_term214

          public static final org.antlr.runtime.BitSet FOLLOW_in_term_in_term214

    - #### FOLLOW_identifier_wc_in_term_simple224

          public static final org.antlr.runtime.BitSet FOLLOW_identifier_wc_in_term_simple224

    - #### FOLLOW_comparison_op_in_term_simple226

          public static final org.antlr.runtime.BitSet FOLLOW_comparison_op_in_term_simple226

    - #### FOLLOW_value_in_term_simple228

          public static final org.antlr.runtime.BitSet FOLLOW_value_in_term_simple228

    - #### FOLLOW_identifier_wc_in_in_term253

          public static final org.antlr.runtime.BitSet FOLLOW_identifier_wc_in_in_term253

    - #### FOLLOW_in_op_in_in_term255

          public static final org.antlr.runtime.BitSet FOLLOW_in_op_in_in_term255

    - #### FOLLOW_space_in_in_term257

          public static final org.antlr.runtime.BitSet FOLLOW_space_in_in_term257

    - #### FOLLOW_in_val_in_in_term260

          public static final org.antlr.runtime.BitSet FOLLOW_in_val_in_in_term260

    - #### FOLLOW_identifier_wc_in_scoped_term285

          public static final org.antlr.runtime.BitSet FOLLOW_identifier_wc_in_scoped_term285

    - #### FOLLOW_OPEN_CURLY_BRACE_in_scoped_term287

          public static final org.antlr.runtime.BitSet FOLLOW_OPEN_CURLY_BRACE_in_scoped_term287

    - #### FOLLOW_compound_term_in_scoped_term289

          public static final org.antlr.runtime.BitSet FOLLOW_compound_term_in_scoped_term289

    - #### FOLLOW_CLOSE_CURLY_BRACE_in_scoped_term291

          public static final org.antlr.runtime.BitSet FOLLOW_CLOSE_CURLY_BRACE_in_scoped_term291

    - #### FOLLOW_identifier_in_identifier_wc314

          public static final org.antlr.runtime.BitSet FOLLOW_identifier_in_identifier_wc314

    - #### FOLLOW_wildcard_in_identifier_wc318

          public static final org.antlr.runtime.BitSet FOLLOW_wildcard_in_identifier_wc318

    - #### FOLLOW_prefixedName_in_identifier330

          public static final org.antlr.runtime.BitSet FOLLOW_prefixedName_in_identifier330

    - #### FOLLOW_ASTERISK_in_wildcard344

          public static final org.antlr.runtime.BitSet FOLLOW_ASTERISK_in_wildcard344

    - #### FOLLOW_52_in_in_op390

          public static final org.antlr.runtime.BitSet FOLLOW_52_in_in_op390

    - #### FOLLOW_OPEN_SQUARE_BRACE_in_in_val406

          public static final org.antlr.runtime.BitSet FOLLOW_OPEN_SQUARE_BRACE_in_in_val406

    - #### FOLLOW_value_in_in_val408

          public static final org.antlr.runtime.BitSet FOLLOW_value_in_in_val408

    - #### FOLLOW_COMMA_in_in_val411

          public static final org.antlr.runtime.BitSet FOLLOW_COMMA_in_in_val411

    - #### FOLLOW_value_in_in_val413

          public static final org.antlr.runtime.BitSet FOLLOW_value_in_in_val413

    - #### FOLLOW_CLOSE_SQUARE_BRACE_in_in_val417

          public static final org.antlr.runtime.BitSet FOLLOW_CLOSE_SQUARE_BRACE_in_in_val417

    - #### FOLLOW_iriRef_in_value450

          public static final org.antlr.runtime.BitSet FOLLOW_iriRef_in_value450

    - #### FOLLOW_literal_value_in_value454

          public static final org.antlr.runtime.BitSet FOLLOW_literal_value_in_value454

    - #### FOLLOW_boolean_val_in_literal_value463

          public static final org.antlr.runtime.BitSet FOLLOW_boolean_val_in_literal_value463

    - #### FOLLOW_decimal_in_literal_value467

          public static final org.antlr.runtime.BitSet FOLLOW_decimal_in_literal_value467

    - #### FOLLOW_string_esc_in_literal_value471

          public static final org.antlr.runtime.BitSet FOLLOW_string_esc_in_literal_value471

    - #### FOLLOW_typed_string_in_literal_value475

          public static final org.antlr.runtime.BitSet FOLLOW_typed_string_in_literal_value475

    - #### FOLLOW_langed_string_in_literal_value480

          public static final org.antlr.runtime.BitSet FOLLOW_langed_string_in_literal_value480

    - #### FOLLOW_string_esc_in_typed_string492

          public static final org.antlr.runtime.BitSet FOLLOW_string_esc_in_typed_string492

    - #### FOLLOW_REFERENCE_in_typed_string496

          public static final org.antlr.runtime.BitSet FOLLOW_REFERENCE_in_typed_string496

    - #### FOLLOW_prefixedName_in_typed_string498

          public static final org.antlr.runtime.BitSet FOLLOW_prefixedName_in_typed_string498

    - #### FOLLOW_string_esc_in_langed_string526

          public static final org.antlr.runtime.BitSet FOLLOW_string_esc_in_langed_string526

    - #### FOLLOW_LANGTAG_in_langed_string528

          public static final org.antlr.runtime.BitSet FOLLOW_LANGTAG_in_langed_string528

    - #### FOLLOW_BOOLEAN_in_boolean_val555

          public static final org.antlr.runtime.BitSet FOLLOW_BOOLEAN_in_boolean_val555

    - #### FOLLOW_DECIMAL_in_decimal570

          public static final org.antlr.runtime.BitSet FOLLOW_DECIMAL_in_decimal570

    - #### FOLLOW_STRING_LITERAL_in_string_esc582

          public static final org.antlr.runtime.BitSet FOLLOW_STRING_LITERAL_in_string_esc582

    - #### FOLLOW_property_in_properties595

          public static final org.antlr.runtime.BitSet FOLLOW_property_in_properties595

    - #### FOLLOW_COMMA_in_properties598

          public static final org.antlr.runtime.BitSet FOLLOW_COMMA_in_properties598

    - #### FOLLOW_property_in_properties600

          public static final org.antlr.runtime.BitSet FOLLOW_property_in_properties600

    - #### FOLLOW_prefixedName_in_property617

          public static final org.antlr.runtime.BitSet FOLLOW_prefixedName_in_property617

    - #### FOLLOW_nested_property_in_property621

          public static final org.antlr.runtime.BitSet FOLLOW_nested_property_in_property621

    - #### FOLLOW_OPEN_CURLY_BRACE_in_nested_property637

          public static final org.antlr.runtime.BitSet FOLLOW_OPEN_CURLY_BRACE_in_nested_property637

    - #### FOLLOW_property_in_nested_property639

          public static final org.antlr.runtime.BitSet FOLLOW_property_in_nested_property639

    - #### FOLLOW_COMMA_in_nested_property642

          public static final org.antlr.runtime.BitSet FOLLOW_COMMA_in_nested_property642

    - #### FOLLOW_property_in_nested_property644

          public static final org.antlr.runtime.BitSet FOLLOW_property_in_nested_property644

    - #### FOLLOW_CLOSE_CURLY_BRACE_in_nested_property650

          public static final org.antlr.runtime.BitSet FOLLOW_CLOSE_CURLY_BRACE_in_nested_property650

    - #### FOLLOW_IRI_REF_in_iriRef665

          public static final org.antlr.runtime.BitSet FOLLOW_IRI_REF_in_iriRef665

    - #### FOLLOW_prefixedName_in_iriRef673

          public static final org.antlr.runtime.BitSet FOLLOW_prefixedName_in_iriRef673

  - ### Constructor Detail

    - #### OslcWhereParser

          public OslcWhereParser(org.antlr.runtime.TokenStream input)

    - #### OslcWhereParser

          public OslcWhereParser(org.antlr.runtime.TokenStream input,
                         org.antlr.runtime.RecognizerSharedState state)

    - #### OslcWhereParser

          public OslcWhereParser(String where)

  - ### Method Detail

    - #### getDelegates

          public org.antlr.runtime.Parser[] getDelegates()

    - #### setTreeAdaptor

          public void setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)

    - #### getTreeAdaptor

          public org.antlr.runtime.tree.TreeAdaptor getTreeAdaptor()

    - #### getTokenNames

          public String[] getTokenNames()

      Overrides:
        `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

    - #### getGrammarFileName

          public String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### displayRecognitionError

          public void displayRecognitionError(String[] tokenNames,
                                     org.antlr.runtime.RecognitionException e)

      Overrides:
        `displayRecognitionError` in class `org.antlr.runtime.BaseRecognizer`

    - #### getErrors

          public List<String> getErrors()

    - #### oslc_where

          public final OslcWhereParser.oslc_where_return oslc_where()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### compound_term

          public final OslcWhereParser.compound_term_return compound_term()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### simple_term

          public final OslcWhereParser.simple_term_return simple_term()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### space

          public final OslcWhereParser.space_return space()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### boolean_op

          public final OslcWhereParser.boolean_op_return boolean_op()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### term

          public final OslcWhereParser.term_return term()
                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### term_simple

          public final OslcWhereParser.term_simple_return term_simple()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### in_term

          public final OslcWhereParser.in_term_return in_term()
                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### scoped_term

          public final OslcWhereParser.scoped_term_return scoped_term()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### identifier_wc

          public final OslcWhereParser.identifier_wc_return identifier_wc()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### identifier

          public final OslcWhereParser.identifier_return identifier()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### wildcard

          public final OslcWhereParser.wildcard_return wildcard()
                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### comparison_op

          public final OslcWhereParser.comparison_op_return comparison_op()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### in_op

          public final OslcWhereParser.in_op_return in_op()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### in_val

          public final OslcWhereParser.in_val_return in_val()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### value

          public final OslcWhereParser.value_return value()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### literal_value

          public final OslcWhereParser.literal_value_return literal_value()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### typed_string

          public final OslcWhereParser.typed_string_return typed_string()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### langed_string

          public final OslcWhereParser.langed_string_return langed_string()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### boolean_val

          public final OslcWhereParser.boolean_val_return boolean_val()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### decimal

          public final OslcWhereParser.decimal_return decimal()
                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### string_esc

          public final OslcWhereParser.string_esc_return string_esc()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### properties

          public final OslcWhereParser.properties_return properties()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### property

          public final OslcWhereParser.property_return property()
                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### nested_property

          public final OslcWhereParser.nested_property_return nested_property()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### iriRef

          public final OslcWhereParser.iriRef_return iriRef()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### prefixedName

          public final OslcWhereParser.prefixedName_return prefixedName()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

Copyright © 2016. All rights reserved.